Get Vsphere Role Mappings

Get Vsphere Role Mappings
Get vSphere SSO Role Mappings

Retrieves the configured role mappings for vSphere SSO user groups. Maps vSphere AD/LDAP user groups to HCX roles for access control.

HCX Roles:

Legacy roles automatically converted to their counterparts, and groups must belong to vCenter Single Sign-On integrated Identity Sources.

  • System Administrator: (legacy) Allows users to create and modify network profiles, compute profiles and service meshes. Also allows users to perform migrations and network extensions.
  • Enterprise Administrator: (legacy) Allows users to create and modify compute profiles and service meshes. Also allows users to perform migrations and network extensions.
  • Appliance Administrator: (legacy) Allows users to view and modify VCF Operations HCX Management Appliance configurations.
  • Migration Admin: Allows users to create and modify network profiles, compute profiles and service meshes. Also allows users to perform migrations and network extensions.
  • Migration User: Allows users to create and modify compute profiles and service meshes. Also allows users to perform migrations and network extensions.
  • Migration Appliance Admin: Allows users to view and modify VCF Operations HCX Management Appliance configurations.

User Group Format:

  • Fully qualified group names (e.g., vsphere.local\Administrators)
  • Domain-Qualified format: domain\groupname
  • No commas allowed in group names (stripped automatically)
Request
URI
GET
https://{server}:9443/api/admin/global/config/roleMappings
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved vSphere SSO role mappings

[
    {
        "role": "Migration Admin",
        "userGroups": [
            "vsphere.local\\Administrators",
            "vsphere.local\\HCX-Admins"
        ]
    }
]
array of object
Optional

Role mapping object associating user groups with HCX roles


500

Internal server error - Failed to retrieve role mappings

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Request schema validation failed",
    "httpStatusCode": 400
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/roleMappings